#
# spec file for package deepin-qt-dbus-factory
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define libver 2
%define _name  dde-qt-dbus-factory

Name:           deepin-qt-dbus-factory
Version:        1.1.6
Release:        lp152.2.4
Summary:        A repository storing auto-generated Qt5 D-Bus code
License:        GPL-3.0-or-later
Group:          Development/Libraries/C and C++
URL:            https://github.com/linuxdeepin/dde-qt-dbus-factory
Source:         https://github.com/linuxdeepin/dde-qt-dbus-factory/archive/%{version}/%{_name}-%{version}.tar.gz
# PATCH-FIX-UPSTREA migrate-to-python3.patch hillwood@opensuse.org - migrate to python3
Patch0:         migrate-to-python3.patch
BuildRequires:  dtkcore
BuildRequires:  gcc-c++
BuildRequires:  libqt5-qtbase-devel
BuildRequires:  libqt5-qtbase-private-headers-devel
BuildRequires:  libqt5-qtdeclarative-devel
BuildRequires:  libqt5-qttools-devel
BuildRequires:  pkgconfig
BuildRequires:  python3
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)

%description
dde-qt-dbus-factory is a repository storing auto-generated Qt5 D-Bus
code.

%package -n libdframeworkdbus%{libver}
Summary:        A repository storing auto-generated Qt5 D-Bus code
Group:          System/Libraries

%description -n libdframeworkdbus%{libver}
dde-qt-dbus-factory is a repository storing auto-generated Qt5 D-Bus
code. This can help DDE developers not having to copy code from other
projects or re-generate code for the same D-Bus interface for new
projects.

%package -n libdframeworkdbus-devel
Summary:        Development tools for libdframeworkdbus - deepin-qt-dbus-factory
Group:          Development/Libraries/C and C++
Requires:       libdframeworkdbus%{libver} = %{version}

%description -n libdframeworkdbus-devel
de-qt-dbus-factory is a repository storing auto-generated Qt5 D-Bus
code.

The libdbusextended-devel package contains the header files and developer
docs for libdbusextended(deepin-qt-dbus-factory).

%prep
%setup -q -n %{_name}-%{version}
%patch0 -p1

%build
%qmake5 DEFINES+=QT_NO_DEBUG_OUTPUT \
        PREFIX=%{_prefix} \
        LIB_INSTALL_DIR=%{_libdir}
make %{?_smp_mflags}

%install
%qmake5_install

%post -n libdframeworkdbus%{libver} -p /sbin/ldconfig
%postun -n libdframeworkdbus%{libver} -p /sbin/ldconfig

%files -n libdframeworkdbus%{libver}
%{_libdir}/libdframeworkdbus.so.*

%files -n libdframeworkdbus-devel
%license LICENSE
%doc README.md CHANGELOG.md
%{_includedir}/libdframeworkdbus-*
%{_libdir}/libdframeworkdbus.so
%dir %{_libdir}/cmake/DFrameworkdbus
%{_libdir}/cmake/DFrameworkdbus/DFrameworkdbusConfig.cmake
%{_libdir}/pkgconfig/dframeworkdbus.pc

%changelog
* Thu Jan 30 2020 Hillwood Yang <hillwood@opensuse.org>
- Migrate to python3, add migrate-to-python3.patch
* Tue Jul 16 2019 Hillwood Yang <hillwood@opensuse.org>
- Update version to 1.1.6
  * Update power inteface
  * Use libdtkcore-bin replace old deepin-qt5config
  * Fix sync: use local type
  * Add com.deepin.deepinid xml file
  * Add com.deepin.sync.daemon xml file
  * Add com.deepin.anything xml file
  * New methods for handling per-screen scale factors
* Mon Apr 15 2019 Hillwood Yang <hillwood@opensuse.org>
- Update version to 1.1.1
  * new methods for handling per-screen scale factors
  * Fix sw: add CXXFLAGS -mieee
  * update com.deepin.daemon.SoundEffect
  * WMSwitcher: update xml
* Mon Mar 25 2019 Christophe Giboudeaux <christophe@krop.fr>
- Use Qt5DBus instead of adding a dependency on Qt4.
- Run spec-cleaner
* Thu Dec 20 2018 hillwood@opensuse.org
- Update version to 1.0.6
  * Add many new apis.
  * remove reproducible.patch, fixed by upstream
* Wed Nov 28 2018 Bernhard Wiedemann <bwiedemann@suse.com>
- Add reproducible.patch to sort input file list in order to
  enable reproducible builds (boo#1041090)
* Wed Dec 27 2017 jengelh@inai.de
- Trim filler wording from description. Fix RPM group.
* Wed Nov 29 2017 hillwood@opensuse.org
- Update to 0.4.2
  * update grub theme xml
  * Add imageblur interface
  * Update interface
* Fri Sep 29 2017 hillwood@opensuse.org
- Initial package.
